Page MenuHomePhabricator

Implement HTTP/2 for Wikidata
Closed, InvalidPublic

Description

The Wikidata UI keeps flaking out on me in a manner consistent with Firefox having reached the limit for the number of concurrent requests it is willing to make. This would presumably be alleviated by the use of HTTP/2. (And by the time you get this implemented, maybe the Iceweasel I'm actually using will even support HTTP/2. ;-)

(Maybe it would be better to figure out why some of the requests might be blocking for excessively long, though.)

Event Timeline

SamB raised the priority of this task from to Needs Triage.
SamB updated the task description. (Show Details)
SamB added a project: Wikidata.
SamB added a subscriber: SamB.
JanZerebecki claimed this task.

SPDY 3.1 was enabled some time back for the whole Wikimedia cluster. Support for that was released in Iceweasel version 27 or 28, I don't remember when it was enabled by default. See http://mozilla.debian.net/ if you want to upgrade. To see if you are served with SPDY, open the network tab of the developer tools and look at the response headers, it lists "X-Firefox-Spdy: 3.1" for me (the header is injected by the client).

(Maybe it would be better to figure out why some of the requests might be blocking for excessively long, though.)

Yes, the network tab in the developer tools might help you. Please reopen this bug or a new one if you find something.